Attribute VB_Name = "Barcode_DLL_Module"
'***************************************************************************
' barcode_dll_module.bas : Visual Basic 6 module for Morovia Barcode DLL component.
' Used in conjunction with Morovia Barcode DLL (MrvBarDLL.dll)
'
' This file is a part of the Morovia Barcode DLL package.
' (c)2006, 2008 Morovia Corporation. All rights reserved.
'
' THIS SOURCE FILE IS THE PROPERTY OF MOROVIA CORPORATION AND IS NOT TO
' BE RE-DISTRIBUTED BY ANY MEANS WHATSOEVER WITHOUT THE EXPRESSED
' WRITTEN CONSENT OF MOROVIA.
'
' THIS SOURCE CODE CAN ONLY BE USED UNDER THE TERMS AND CONDITIONS
' OUTLINED IN THE MOROVIA BARCODE COMPONENT LICENSE AGREEMENT.  MOROVIA
' GRANTS TO YOU (ONE SOFTWARE DEVELOPER) THE LIMITED RIGHT TO USE
' THIS SOFTWARE ON A SINGLE COMPUTER.
'
' MOROVIA EXPRESSLY DISCLAIMS ANY WARRANTY FOR THE SOFTWARE, DOCUMENTATION
' AND ANYTHING ELSE PROVIDED BY MOROVIA HEREBY AND MOROVIA PROVIDES THE
' SAME IN "AS IS" CONDITION WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS
' OR IMPLIED, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
' MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK
' ARISING OUT OF USE OR PERFORMANCE OF THE SOFTWARE AND DOCUMENTATION
' REMAINS WITH YOU.
'
' Version 3.4.0.0 Jan. 2009. API function BarWidthReduction is not supported. Removed.
' Version 3.3.0.0 Release Oct. 2006
' Version 3.0.0.0 First Released May 2006.
'
' CONTACT Information:
' support@morovia.com
' http: www.morovia.com
'********************************************************************************/

Declare Function CreateBarcodeObject Lib "MrvBarDLL.dll" (ByVal lpstrLicenseTo As String, _
    ByVal lpstrRegCode As String) As Long
Declare Function IsBarcodeObjectDemo Lib "MrvBarDLL.dll" (ByVal handle As Long) As Boolean
Declare Sub DestroyBarcodeObject Lib "MrvBarDLL.dll" (ByVal handle As Long)
Declare Function GetLastBarcodeErrorMessage Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal lpszErrorMsg As String) _
        As Boolean
Declare Function get_AutoLabelSize Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Boolean) As Long
Declare Function put_AutoLabelSize Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Boolean) As Long
Declare Function get_AutoSize Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Boolean) As Long
Declare Function put_AutoSize Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Boolean) As Long
Declare Function get_BackColor Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_BackColor Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long
Declare Function get_BarHeight Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_BarHeight Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long
Declare Function get_BearerBars Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Boolean) As Long
Declare Function put_BearerBars Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Boolean) As Long
Declare Function get_BorderColor Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_BorderColor Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long
Declare Function get_BorderStyle Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_BorderStyle Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long
Declare Function get_BorderWidth Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_BorderWidth Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long
Declare Function get_Code25OptionalCheckDigit Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Boolean) As Long
Declare Function put_Code25OptionalCheckDigit Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Boolean) As Long
Declare Function get_Code39OptionalCheckDigit Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Boolean) As Long
Declare Function put_Code39OptionalCheckDigit Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Boolean) As Long
Declare Function get_Code39StartStopChars Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Boolean) As Long
Declare Function put_Code39StartStopChars Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Boolean) As Long
Declare Function get_Comment Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal pVal As String) As Long
Declare Function put_Comment Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As String) As Long
Declare Function get_CommentAlignment Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_CommentAlignment Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long
Declare Function get_CommentFont Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Object) As Long
Declare Function put_CommentFont Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal pVal As Object) As Long
Declare Function get_CommentMarginBottom Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_CommentMarginBottom Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long
Declare Function get_CommentMarginLeft Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_CommentMarginLeft Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long
Declare Function get_CommentMarginRight Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_CommentMarginRight Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long
Declare Function get_CommentMarginTop Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_CommentMarginTop Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long
Declare Function get_DataMatrixTargetSizeID Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_DataMatrixTargetSizeID Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long
Declare Function get_Font Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Object) As Long
Declare Function put_Font Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal pVal As Object) As Long
Declare Function get_ForeColor Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_ForeColor Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long
Declare Function get_I2of5OptionalCheckDigit Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Boolean) As Long
Declare Function put_I2of5OptionalCheckDigit Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Boolean) As Long
Declare Function get_LabelHeight Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_LabelHeight Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long
Declare Function get_LabelWidth Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_LabelWidth Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long
Declare Function get_MaxicodeClass Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_MaxicodeClass Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long
Declare Function get_MaxicodeCountryCode Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_MaxicodeCountryCode Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long
Declare Function get_MaxicodeMode Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Integer) As Long
Declare Function put_MaxicodeMode Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Integer) As Long
Declare Function get_MaxicodeZipCode Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal pVal As String) As Long
Declare Function put_MaxicodeZipCode Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As String) As Long
Declare Function get_Measurement Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_Measurement Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long
Declare Function get_Message Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal pVal As String) As Long
Declare Function put_Message Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As String) As Long
Declare Function get_NarrowBarWidth Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_NarrowBarWidth Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long
Declare Function get_NarrowToWideRatio Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Double) As Long
Declare Function put_NarrowToWideRatio Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Double) As Long
Declare Function get_PDFAspectRatio Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Double) As Long
Declare Function put_PDFAspectRatio Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Double) As Long
Declare Function get_PDFMaxCols Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_PDFMaxCols Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long
Declare Function get_PDFMaxRows Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_PDFMaxRows Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long
Declare Function get_PDFModuleHeight Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_PDFModuleHeight Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long
Declare Function get_PDFModuleWidth Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_PDFModuleWidth Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long
Declare Function get_PDFSecurityLevel Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Integer) As Long
Declare Function put_PDFSecurityLevel Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Integer) As Long
Declare Function get_PDFTruncatedSymbol Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Boolean) As Long
Declare Function put_PDFTruncatedSymbol Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Boolean) As Long
Declare Function get_QuietZones Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Boolean) As Long
Declare Function put_QuietZones Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Boolean) As Long
Declare Function get_RasterImageResolution Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_RasterImageResolution Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long
Declare Function get_Rotation Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_Rotation Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long
Declare Function get_ShowCheckDigit Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Boolean) As Long
Declare Function put_ShowCheckDigit Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Boolean) As Long
Declare Function get_ShowComment Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Boolean) As Long
Declare Function put_ShowComment Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Boolean) As Long
Declare Function get_ShowHRText Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Boolean) As Long
Declare Function put_ShowHRText Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Boolean) As Long
Declare Function get_SymbolMarginBottom Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_SymbolMarginBottom Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long
Declare Function get_SymbolMarginLeft Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_SymbolMarginLeft Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long
Declare Function get_SymbolMarginRight Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_SymbolMarginRight Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long
Declare Function get_SymbolMarginTop Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_SymbolMarginTop Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long
Declare Function get_Symbology Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_Symbology Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long
Declare Function get_TexAlignment Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_TexAlignment Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long
Declare Function get_TextOnTop Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Boolean) As Long
Declare Function put_TextOnTop Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Boolean) As Long
Declare Function get_CommentOnTop Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Boolean) As Long
Declare Function put_CommentOnTop Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Boolean) As Long
Declare Function get_UccEanOptionalCheckDigit Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Boolean) As Long
Declare Function put_UccEanOptionalCheckDigit Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Boolean) As Long
Declare Function get_ZoomRatio Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Double) As Long
Declare Function put_ZoomRatio Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Double) As Long
Declare Function get_DataMatrixModuleSize Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Long) As Long
Declare Function put_DataMatrixModuleSize Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal val As Long) As Long

Declare Function mbxExportImage Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal lpszFileName As String, _
        ByVal imageFormat As Long) As Long
Declare Function mbxExportImage2 Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal stream As Object, _
        ByVal imageFormat As Long) As Long
Declare Sub mbxAbout Lib "MrvBarDLL.dll" (ByVal handle As Long)

Declare Function mbxLoad Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal lpszFileName As String, _
        ByVal persistFormat As Long) As Long
Declare Function mbxSave Lib "MrvBarDLL.dll" (ByVal handle As Long, ByVal lpszFileName As String, _
        ByVal persistFormat As Long) As Long

Declare Function get_Picture Lib "MrvBarDLL.dll" (ByVal handle As Long, ByRef pVal As Object) As Long


'******************************************
'Constants
'******************************************
'1. Symbology constants
Global Const mbxCode39% = 0             'Normal Code 39
Global Const mbxCode39_Full_ASCII = 1   'Code 39 Full ASCII
Global Const mbxCode39_HIBC = 2         'Code39 with checksum digit
Global Const mbxCodaBar = 3             'Codabar
Global Const mbxCode93 = 4              'Code 93
Global Const mbxCode128 = 5             'Code 128
Global Const mbxUCC_EAN_128 = 6         'UCC/EAN 128
Global Const mbxInterleaved_2of5 = 7    'Interleaved 2 of 5
Global Const mbxUPC_A = 8               'UPC A
Global Const mbxUPC_E = 9               'UPC E
Global Const mbxEAN_13 = 10             'EAN 13
Global Const mbxEAN_8 = 11              'EAN 8
Global Const mbxBookland = 12           'Bookland
Global Const mbxTelepen = 13            'Telepen
Global Const mbxTelepenNumeric = 14     'Telepen Numeric
Global Const mbxPostnet = 20            'Postnet
Global Const mbxPlanet = 21             'Planet
Global Const mbxRoyalMail = 22          'RoyalMail
Global Const mbxMSI_Plessey = 30        'MSI/Plessey
Global Const mbxCode25 = 31             'Code25
Global Const mbxCode11 = 32             'Code11
Global Const mbxPDF417 = 40             'PDF417
Global Const mbxDataMatrix = 41         'DataMatrix
Global Const mbxMaxiCode = 42           'MaxiCode
'Supported in 3.4 and above - GS1 DataBar Family
Global Const mbxDataBar = 33            'DataBar
Global Const mbxDataBarTruncated = 34   'DataBar Truncated
Global Const mbxDataBarStacked = 35     'DataBar Stacked
Global Const mbxDataBarStackedOmni = 36 'DataBar Stacked Omnidirectional
Global Const mbxDataBarLimited = 37     'DataBar Limited
Global Const mbxDataBarExpanded = 38    'DataBar Expanded


'2. Unit of Measurment
Global Const mbxMeasureMetrics = 1      'Metrics measurement
Global Const mbxMeasureEnglish = 0       'English measurment units
    
'3. Rotation
Global Const mbxRTZeroDegree = 0
Global Const mbxRTAntiClockwise_90 = 1
Global Const mbxRTAntiClockwise_180 = 2
Global Const mbxRTAntiClockwise_270 = 3

'4. BorderStyle
Global Const mbxBorderStyleNone = 0
Global Const mbxBorderStyleSolid = 1
Global Const mbxBorderStyleDash = 2
Global Const mbxBorderStyleDot = 3
Global Const mbxBorderStyleDashDot = 4
Global Const mbxBorderStyleDashDotDot = 5

'5. Alignment
Global Const mbxAlignLeft = 0
Global Const mbxAlignRight = 1
Global Const mbxAlignCenter = 2
Global Const mbxAlignJustify = 3

'6. Persister formats
Global Const mbxPersistBinary = 0
Global Const mbxPersistXML = 1

'7. Image formats
Global Const mbxFormatBMP = 0
Global Const mbxFormatJPG = 1
Global Const mbxFormatGIF = 2
Global Const mbxFormatTIF = 3
Global Const mbxFormatPNG = 5
Global Const mbxFormatEMF = 6
Global Const mbxFormatWMF = 7

'8. DataMatrix Target Size
Global Const mbxDMTargetSizeAuto = 0
Global Const mbxDMTargetSize_10X10 = 30
Global Const mbxDMTargetSize_12X12 = 1
Global Const mbxDMTargetSize_14X14 = 2
Global Const mbxDMTargetSize_16X16 = 3
Global Const mbxDMTargetSize_18X18 = 4
Global Const mbxDMTargetSize_20X20 = 5
Global Const mbxDMTargetSize_22X22 = 6
Global Const mbxDMTargetSize_24X24 = 7
Global Const mbxDMTargetSize_26X26 = 8
Global Const mbxDMTargetSize_32X32 = 9
Global Const mbxDMTargetSize_36X36 = 10
Global Const mbxDMTargetSize_40X40 = 11
Global Const mbxDMTargetSize_44X44 = 12
Global Const mbxDMTargetSize_48X48 = 13
Global Const mbxDMTargetSize_52X52 = 14
Global Const mbxDMTargetSize_64X64 = 15
Global Const mbxDMTargetSize_72X72 = 16
Global Const mbxDMTargetSize_80X80 = 17
Global Const mbxDMTargetSize_88X88 = 18
Global Const mbxDMTargetSize_96X96 = 19
Global Const mbxDMTargetSize_104X104 = 20
Global Const mbxDMTargetSize_120X120 = 21
Global Const mbxDMTargetSize_132X132 = 22
Global Const mbxDMTargetSize_144X144 = 23
Global Const mbxDMTargetSize_8X18 = 24
Global Const mbxDMTargetSize_8X32 = 25
Global Const mbxDMTargetSize_12X26 = 26
Global Const mbxDMTargetSize_12X36 = 27
Global Const mbxDMTargetSize_16X36 = 28
Global Const mbxDMTargetSize_16X48 = 29

